#pragma once

#include <string>

namespace kek {

class Shader {

public:
	unsigned int id;

	Shader(std::string vertexPath, std::string fragmentPath);

	Shader(std::string vertexPath, std::string geometryPath, std::string fragmentPath);

	~Shader();

	void use();

};

}
